# org.pdfclown.documents.contents.fonts.CMap Class Reference

Character map [PDF:1.6:5.6.4]. More...

List of all members.

## Static Public Member Functions
static IDictionary< ByteArray, int > | Get (string name)
| Gets the character map corresponding to the given name.
static IDictionary< ByteArray, int > | Get (PdfName name)
| Gets the character map corresponding to the given name.
static IDictionary< ByteArray, int > | Get (PdfStream stream)
| Gets the character map extracted from the given data.
static IDictionary< ByteArray, int > | Get (PdfDataObject encodingObject)
| Gets the character map extracted from the given encoding object.
static IDictionary< ByteArray, int > | Get (bytes::IInputStream stream)
| Gets the character map extracted from the given data.

##

Character map [PDF:1.6:5.6.4].

## Member Function Documentation

static IDictionary<ByteArray,int> org.pdfclown.documents.contents.fonts.CMap.Get | ( | string | name | ) | `[static]`

Gets the character map corresponding to the given name.

Parameters:

  | name | Predefined character map name.

Returns:
  null, in case no name matching occurs.

static IDictionary<ByteArray,int> org.pdfclown.documents.contents.fonts.CMap.Get | ( | PdfName | name | ) | `[static]`

Gets the character map corresponding to the given name.

Parameters:

  | name | Predefined character map name.

Returns:
  null, in case no name matching occurs.

References org.pdfclown.documents.contents.fonts.CMap.Get(), and org.pdfclown.objects.PdfName.Value.

Referenced by org.pdfclown.documents.contents.fonts.CMap.Get().

static IDictionary<ByteArray,int> org.pdfclown.documents.contents.fonts.CMap.Get | ( | PdfStream | stream | ) | `[static]`

Gets the character map extracted from the given data.

Parameters:

  | stream | Character map data.

References org.pdfclown.objects.PdfStream.Body, and org.pdfclown.documents.contents.fonts.CMap.Get().

Referenced by org.pdfclown.documents.contents.fonts.CMap.Get().

static IDictionary<ByteArray,int> org.pdfclown.documents.contents.fonts.CMap.Get | ( | PdfDataObject | encodingObject | ) | `[static]`

Gets the character map extracted from the given encoding object.

Parameters:

  | encodingObject | Encoding object.

static IDictionary<ByteArray,int> org.pdfclown.documents.contents.fonts.CMap.Get | ( | bytes::IInputStream | stream | ) | `[static]`

Gets the character map extracted from the given data.

Parameters:

  | stream | Character map data.

References org.pdfclown.documents.contents.fonts.CMapParser.Parse().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.